%define name tellico
%define version 2.3.11
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:	        http://tellico-project.org
Group:		Graphical desktop/KDE4
Source0:	%{name}-%{version}.tar.xz
Summary:        Tellico is a collection manager for KDE 4.
Summary(de):	Tellico ist eine Verwaltung für Sammlungen für KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  zlib-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}jpeg-devel
BuildRequires:  %{_lib}xslt-devel
BuildRequires:  %{_lib}xml2-devel
BuildRequires:  gettext
BuildRequires:  %{_lib}gcrypt-devel
BuildRequires:  kde4-macros
BuildRequires:  kdelibs-devel
BuildRequires:  libkcddb-devel
BuildRequires:  kde-pimlibs-devel
BuildRequires:  %{_lib}poppler-qt4-devel
BuildRequires:  qt4-devel
BuildRequires:  %{_lib}art_lgpl-devel
BuildRequires:  %{_lib}taglib-devel
BuildRequires:  libksane-devel
BuildRequires:  %{_lib}qjson-devel
BuildRequires:  %{_lib}exempi3-devel
BuildRequires:  %{_lib}v4l-devel
BuildRequires:  cmake
BuildRequires:	%{_lib}yaz-devel
BuildRequires:	%{_lib}qimageblitz-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libkcompactdisc-devel
Requires:	yaz 
Requires:	%{_lib}yaz4
Obsoletes: 	%{name} < %version
Obsoletes: 	%{name} < %version
Suggests: 	kde-multimedia

%description
Tellico is a collection manager for keeping track of your
books, bibliographies, videos, music, comic books, video
games, coins, stamps, trading cards, wines, board games,
or any custom items. It supports any number of user-defined
fields, of several different types: text, paragraph,list, 
checkbox, year, URL, tables, images, dates, and combinations.

%description -l de
Tellico ist ein Manager für Sammlungen um den Überblick über Ihre
Bücher, Bibliografien, Videos, Musik, Comic-Bücher, Videos
Spiele, Münzen, Briefmarken, Trading Cards, Weine, Brettspiele,
oder benutzerdefinierte Elemente zu behalten. Es unterstützt eine 
beliebige Anzahl von benutzerdefinierten Feldern, der verschiedenen 
Arten: Text, Absatz, Liste, Kontrollkästchen, Jahr, URL, Tabellen, 
Bilder, Daten und Kombinationen.

%prep
%setup -q

%build
%cmake_kde4 -DENABLE_WEBCAM:BOOL=ON ..
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang %{name} --with-kde

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

#MENU
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf %buildroot

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_docdir}/HTML
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/apps
%{_datadir}/config*
%{_datadir}/icons/hicolor
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/tellico.appdata.xml

%changelog
* Tue Mar 01 2016 woodhead <pp> 2.3.11-2pclos2016
- rebuild against updated yaz-devel

* Sat Jan 02 2016 bb <bb> 2.3.11-1pclos2016
- update

* Thu Feb 26 2015 pinoc <vogtpet at gmail.com> 2.3.10-1pclos2015
- 2.3.10

* Thu Oct 08 2014 bb <bb> 2.3.9-2pclos2014
- rebuild against updated poppler library
